package eu.DECIDEh2020.mcsla.beans;
/*
* Copyright (c) 2017 Fraunhofer FOKUS.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* <<licensing_schema_to_be_decided>> which accompanies
* this distribution, and is available at
* https://opensource.org/licenses/EPL-2.0
*
* Contributors:
*
* Majid Salehi Ghamsari Fraunhofer FOKUS
**Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

/*
* Copyright (c) 2017 Fraunhofer FOKUS.
* 
* Majid Salehi Ghamsari Fraunhofer FOKUS
**Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/

public class Mcsla {
	public UUID mCSLA_id;
	public String description;
	public String visibility;
	public String validityPeriod;
	public List<MicroserviceSLA> microservice_SLAs;

	public Mcsla() {
		super();
	}

	public Mcsla(UUID uid, String description, String visibility, String validityPeriod) {
		super();
		this.mCSLA_id = uid;
		this.description = description;
		this.visibility = visibility;
		this.validityPeriod = validityPeriod;
		List<MicroserviceSLA> slas = new ArrayList<>();
		this.setMicroservice_SLAs(slas);
	}

	public String getDescription() {
		return description;
	}

	public UUID getmCSLA_id() {
		return mCSLA_id;
	}

	public List<MicroserviceSLA> getMicroservice_SLAs() {
		return microservice_SLAs;
	}

	public String getValidityPeriod() {
		return validityPeriod;
	}

	public String getVisibility() {
		return visibility;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setmCSLA_id(UUID mCSLA_id) {
		this.mCSLA_id = mCSLA_id;
	}

	public void setMicroservice_SLAs(List<MicroserviceSLA> microservice_SLAs) {
		this.microservice_SLAs = microservice_SLAs;
	}

	public void setValidityPeriod(String validityPeriod) {
		this.validityPeriod = validityPeriod;
	}

	public void setVisibility(String visibility) {
		this.visibility = visibility;
	}

}
