package eu.DECIDEh2020.mcsla.beans;
/*
* Copyright (c) 2017 Fraunhofer FOKUS.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* <<licensing_schema_to_be_decided>> which accompanies
* this distribution, and is available at
* https://opensource.org/licenses/EPL-2.0
*
* Contributors:
*
* Majid Salehi Ghamsari Fraunhofer FOKUS
**Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/
import java.util.List;

public class MicroserviceSLA {
	public String microservice_SLA_id;
	public String __comment;
	public String csp_id;
	public String csp_name;
	public String getCsp_name() {
		return csp_name;
	}

	public void setCsp_name(String csp_name) {
		this.csp_name = csp_name;
	}

	public String microservice_id;
	public String visibility;
	public String validityPeriod;
	public List<MicroserviceSQO> microservice_SQOs;
	public List<MicroserviceSLO> microservice_SLOs;

	public String getMicroservice_SLA_id() {
		return microservice_SLA_id;
	}

	public void setMicroservice_SLA_id(String microservice_SLA_id) {
		this.microservice_SLA_id = microservice_SLA_id;
	}

	public String get__comment() {
		return __comment;
	}

	public void set__comment(String __comment) {
		this.__comment = __comment;
	}

	public String getCsp_id() {
		return csp_id;
	}

	public void setCsp_id(String csp_id) {
		this.csp_id = csp_id;
	}

	public String getMicroservice_id() {
		return microservice_id;
	}

	public void setMicroservice_id(String microservice_id) {
		this.microservice_id = microservice_id;
	}

	public String getVisibility() {
		return visibility;
	}

	public void setVisibility(String visibility) {
		this.visibility = visibility;
	}

	public String getValidityPeriod() {
		return validityPeriod;
	}

	public void setValidityPeriod(String validityPeriod) {
		this.validityPeriod = validityPeriod;
	}

	public List<MicroserviceSQO> getMicroservice_SQOs() {
		return microservice_SQOs;
	}

	public void setMicroservice_SQOs(List<MicroserviceSQO> microservice_SQOs) {
		this.microservice_SQOs = microservice_SQOs;
	}

	public List<MicroserviceSLO> getMicroservice_SLOs() {
		return microservice_SLOs;
	}

	public void setMicroservice_SLOs(List<MicroserviceSLO> microservice_SLOs) {
		this.microservice_SLOs = microservice_SLOs;
	}

}
