package eu.DECIDEh2020.mcsla.beans;
/*
* Copyright (c) 2017 Fraunhofer FOKUS.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* <<licensing_schema_to_be_decided>> which accompanies
* this distribution, and is available at
* https://opensource.org/licenses/EPL-2.0
*
* Contributors:
*
* Majid Salehi Ghamsari Fraunhofer FOKUS
**Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public class Csp {
	public UUID mCSP_id;
	public String name;
	public List<MicroserviceSLA> slas;

	public Csp() {
		super();
	}

	public Csp(UUID uid, String name) {
		super();
		this.mCSP_id = uid;
		this.name = name;
		List<MicroserviceSLA> slas = new ArrayList<>();
		this.setSlas(slas);
	}

	public UUID getmCSP_id() {
		return mCSP_id;
	}

	public void setmCSP_id(UUID mCSP_id) {
		this.mCSP_id = mCSP_id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<MicroserviceSLA> getSlas() {
		return slas;
	}

	public void setSlas(List<MicroserviceSLA> slas) {
		this.slas = slas;
	}

}
